/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Dreadhorn\Champion\EnragedGrizzly.cs
Lines of code: 56
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a grizzly bear corpse" )]
	public class EnragedGrizzly : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{
			return WeaponAbility.BleedAttack;
		}
	
		[Constructable]
		public EnragedGrizzly() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an enraged grizzly bear";
			Body = 212;
			BaseSoundID = 0xA3;

			SetStr( 1313, 1516 );
			SetDex( 815, 1042 );
			SetInt( 189, 350 );

			SetHits( 766, 906 );
			SetStam( 815, 1042 );
			SetMana( 0 );

			SetDamage( 13, 28 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 51, 67 );
			SetResistance( ResistanceType.Cold, 30, 43 );
			SetResistance( ResistanceType.Poison, 10, 18 );
			SetResistance( ResistanceType.Energy, 10, 20 );

			SetSkill( SkillName.MagicResist, 93.9, 117.2 );
			SetSkill( SkillName.Tactics, 71.6, 117.0 );
			SetSkill( SkillName.Wrestling, 93.9, 117.2 );

			Fame = 8000;
			Karma = 0;

			VirtualArmor = 24;
		}

		public override int Meat{ get{ return 4; } }
		public override int Hides{ get{ return 32; } }
		public override FoodType FavoriteFood{ get{ return FoodType.Fish | FoodType.FruitsAndVegies | FoodType.Meat; } }
		public override PackInstinct PackInstinct{ get{ return PackInstinct.Bear; } }

		public EnragedGrizzly( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}